5.1.1.5.4. Drag and Drop in Tree Components
Prev | 5.1.1.5. Drag and drop | Next

#### 5.1.1.5.4. Drag and Drop in Tree Components

Drag Node by Indexpath

- This action drags the node you specify.

- You give the path to the node to be dragged using an indexpath.

- This is achieved by:

  - Moving the cursor over the component.

  - If the tree is not expanded, it is expanded.

  - Holding the mouse button you specify, and the item is dragged.

- You must follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Path Type

  - Pre-Ascend

  - Indexpath

Drag Node by Textpath

- This action drags the node you specify.

- You give the path to the node to be dragged using a textpath.

- This is achieved by:

  - Moving the cursor over the component.

  - If the tree is not expanded, it is expanded.

  - Holding the mouse button you specify, and the item is dragged.

- You must follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Path Type

  - Pre-Ascend

  - Textpath

  - Operator

Drop on Node by Indexpath

- This action drops a dragged item onto the node you specify.

- You give the path to the node you want to drop the item onto using an indexpath.

- This is achieved by:

  - Moving the cursor over the node.

  - If the tree is not expanded, it is expanded.

  - Letting loose the mouse button you specify.

- Precede this action with a drag action.

- Parameters:

  - Path Type

  - Pre-Ascend

  - Indexpath

  - Delay before drop

Drop on Node by Textpath

- This action drops a dragged item onto the node you specify.

- You give the path to the node you want to drop the item onto using a textpath.

- This is achieved by:

  - Moving the cursor over the node.

  - If the tree is not expanded, it is expanded.

  - Letting loose the mouse button you specify.

- Precede this action with a drag action.

- Parameters:

  - Path Type

  - Pre-Ascend

  - Textpath

  - Operator

  - Delay before drop